Cambrionix connect
Developers
Hardware API

Remote Computer

Ensure Remote Computer PubSub Access

POST

/hardware/v1/remote-computers/{computerId}/access

Grant Web PubSub group permissions so the caller can communicate with a remote computer.

Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.

Parameters

computerIdstringpathrequired

The unique identifier for a computer

Request body

object
connectionIdstringrequired

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/{computerId}/access" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "connectionId": "string"
}'

Get Remote Computer Token

POST

/hardware/v1/remote-computers/token

Get a token for a remote computer.

Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.

Request body

object
expirationTimeInMinutesnumber

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/token" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "expirationTimeInMinutes": 60
}'